Update Product Modifier

Updates a product modifier. Date modifiers are required to be provided in [ISO-8601 ATOM](https://www.php.net/manual/en/class.datetimeinterface.php#datetimeinterface.constants.atom) format. Excluding them in a request will throw a server error.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idstringRequired
modifier_idstringRequired

Request

Common Modifier properties.
typeenumRequired
BigCommerce API, which determines how it will display on the storefront. Acceptable values: `date`, `checkbox`, `file`, `text`, `multi_line_text`, `numbers_only_text`, `radio_buttons`, `rectangles`, `dropdown`, `product_list`, `product_list_with_images`, `swatch`. Required in a /POST.
requiredbooleanRequired

Whether or not this modifier is required at checkout. Required in a /POST.

sort_orderintegerOptional
The order the modifiers display on the product detail page.
configobjectOptional

The values for option config can vary based on the Modifier created. See Configs to learn more about the type-specific config fields.

option_valueslist of objectsOptional

Contains information about the values for modifier types with options. Certain fields are not used for specific modifier types. See Option Values for more details.

display_namestringOptional
The name of the option shown on the storefront.

Response

dataobject
Product modifier
metaobject
Response metadata.

Errors

409
Conflict Error
422
Unprocessable Entity Error